// Copyright (C) 2022 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter_test/flutter_test.dart';
import 'package:wyatt_authentication_bloc/wyatt_authentication_bloc.dart';
import 'package:wyatt_form_bloc/wyatt_form_bloc.dart';

void main() {
  group('EmailVerificationState', () {
    test('supports value comparisons', () {
      expect(
        const EmailVerificationState(isVerified: true),
        const EmailVerificationState(isVerified: true),
      );
    });

    test('returns same object when no properties are passed', () {
      expect(
        const EmailVerificationState(isVerified: true).copyWith(),
        const EmailVerificationState(isVerified: true),
      );
    });

    test('returns object with updated status when status is passed', () {
      expect(
        const EmailVerificationState(isVerified: true)
            .copyWith(status: FormStatus.invalid),
        const EmailVerificationState(
          isVerified: true,
          status: FormStatus.invalid,
        ),
      );
    });
  });
}
